> ## Documentation Index
> Fetch the complete documentation index at: https://docs.memoryproto.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get identity graph by Lens username

> Retrieve the identity graph for a user based on their Lens username.



## OpenAPI

````yaml get /identities/lens/{username}
openapi: 3.1.0
info:
  version: 1.0.0
  title: Memory API
  description: >-
    Memory Protocol generated from the OpenAPI specification. Register at
    https://memoryproto.co/developers to start querying user identity graphs.
    Visit https://docs.memoryproto.co for a complete documentation.
servers:
  - url: https://api.memoryproto.co
    description: Memory API
security: []
paths:
  /identities/lens/{username}:
    get:
      summary: Get identity graph by Lens username
      description: Retrieve the identity graph for a user based on their Lens username.
      parameters:
        - schema:
            type: string
            description: >-
              The Lens username of the user. For example, vitalik or
              jessepollak.
            examples:
              - vitalik
              - jessepollak
          required: true
          name: username
          in: path
        - schema:
            type: string
            description: Comma separated list of filtered sources
            example: farcaster,ens,talent-protocol
          required: false
          name: sources
          in: query
        - schema:
            type: string
            description: Filter verified data sources.
            examples:
              - 'true'
          required: false
          name: verified
          in: query
        - schema:
            type: string
            description: Get your API key at https://memoryproto.co/developers.
            example: Bearer mem_xxx
          required: true
          name: Authorization
          in: header
      responses:
        '200':
          description: >-
            Successful response containing the identity graph linked to the
            provided Lens username.
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                    username:
                      type: string
                      nullable: true
                    url:
                      type: string
                      nullable: true
                      format: uri
                    avatar:
                      type: string
                      nullable: true
                    platform:
                      type: string
                    social:
                      type: object
                      nullable: true
                      properties:
                        followers:
                          type: number
                        following:
                          type: number
                        verified:
                          type: boolean
                          nullable: true
                      required:
                        - followers
                        - following
                        - verified
                    sources:
                      type: array
                      items:
                        type: object
                        properties:
                          platform:
                            type: string
                          id:
                            type: string
                          verified:
                            type: boolean
                        required:
                          - platform
                          - id
                          - verified
                  required:
                    - id
                    - username
                    - url
                    - avatar
                    - platform
                    - social
                    - sources
                description: User Identity Graph
                example:
                  - id: '5650'
                    platform: farcaster
                    url: https://farcaster.xyz/vitalik.eth
                    avatar: >-
                      https://imagedelivery.net/BXluQx4ige9GuW0Ia56BHw/b663cd63-fecf-4d0f-7f87-0e0b6fd42800/original
                    social: null
                    username: vitalik.eth
                    sources:
                      - id: '5650'
                        platform: farcaster
                        verified: true
                      - id: '4458'
                        platform: talent-protocol
                        verified: true
                  - platform: ens
                    id: vitalik.eth
                    url: https://app.ens.domains/vitalik.eth
                    username: null
                    avatar: https://euc.li/vitalik.eth
                    social: null
                    sources:
                      - id: vitalik.eth
                        platform: ens
                        verified: true
                  - id: '2230894'
                    username: vbuterin
                    url: https://github.com/vbuterin
                    avatar: https://avatars.githubusercontent.com/u/2230894?v=4
                    platform: github
                    social:
                      verified: null
                      followers: 12663
                      following: 1
                    sources:
                      - id: vitalik.eth
                        platform: ens
                        verified: true
                  - id: '295218901'
                    username: vitalikbuterin
                    url: https://x.com/vitalikbuterin
                    avatar: >-
                      https://pbs.twimg.com/profile_images/1895872023944937472/Uoyc5-p8_normal.jpg
                    platform: twitter
                    social:
                      verified: true
                      followers: 5755832
                      following: 476
                    sources:
                      - id: vitalik.eth
                        platform: ens
                        verified: true
        '401':
          description: Authentication failed due to an invalid or missing token.
          content:
            application/text:
              schema:
                type: string
                enum:
                  - Unauthorized
        '500':
          description: >-
            An error occurred while retrieving the identity graph for the
            provided Lens username.
          content:
            application/text:
              schema:
                type: string
      security:
        - Bearer: []
components:
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer

````